Page MenuHomePhabricator

Remove the CustomData dependency in 30 days
Closed, ResolvedPublic

Description

T114915 removes the need for this extension. We should remove the dependency in 30 days.

Details

Related Gerrit Patches:
mediawiki/extensions/RelatedArticles : devRemove CustomData extension dependency

Event Timeline

Jdlrobson created this task.Oct 8 2015, 4:21 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: RelatedArticles.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2015, 4:21 PM
Jdlrobson changed the task status from Open to Stalled.Oct 26 2015, 6:57 PM
Jdlrobson triaged this task as Normal priority.
Jdlrobson added a project: good first bug.
Jdlrobson set Security to None.

Change 252237 had a related patch set uploaded (by Phuedx):
Remove CustomData extension dependency

https://gerrit.wikimedia.org/r/252237

phuedx claimed this task.Nov 10 2015, 5:09 PM
phuedx moved this task from To Do to Code Review on the Reading Web Sprint 60 - Boom Headshot! board.
phuedx changed the task status from Stalled to Open.Nov 11 2015, 4:55 PM

Change 252237 merged by jenkins-bot:
Remove CustomData extension dependency

https://gerrit.wikimedia.org/r/252237

Tested. RelatedArticles works without require_once( "$IP/extensions/CustomData/CustomData.php" ); in LocalSettings.php.

Jdlrobson closed this task as Resolved.Dec 1 2015, 1:17 AM